Skip to main content
GET
List the org's phones
Minimum role required: Viewer

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Query Parameters

ownership
enum<string>
required

Which phones to return. 'dedicated' = the org's dedicated/rented inventory in every state (busy, offline, and maintenance phones included).

Available options:
dedicated
include_expired
boolean

include rented devices whose rental window has expired

limit
integer<int64>
default:100
Required range: 1 <= x <= 500
offset
integer<int64>
default:0
Required range: x >= 0

free-text search across nickname, name, model, location

status
string[] | null

filter by phone status (active/inactive/maintenance/suspended); case-insensitive

type
string[] | null

filter by phone type (iphone/android); case-insensitive

rental_expires_after
string

only phones whose rental expires at/after this RFC3339 time

rental_expires_before
string

only phones whose rental expires at/before this RFC3339 time

last_active_after
string

only phones last seen at/after this RFC3339 time

last_active_before
string

only phones last seen at/before this RFC3339 time

sort
string

sort column (created|rental_expires|last_active|status|type|location)

order
string

sort direction (asc|desc)

Response

OK

Privately owned devices for an organization.

limit
integer<int64>
required

Page size used for this response.

offset
integer<int64>
required

Pagination offset used for this response.

phones
object[] | null
required

Page of private device records.

total
integer<int64>
required

Total number of private devices matching the query.